# classes/phing/mappers/IdentityMapper.php

This mapper does nothing ;)

author
  Andreas Aderhold
author
  Hans Lellelid
package
  phing.mappers
version
  $Revision: 526 $

## \IdentityMapper
jump to top

This mapper does nothing ;)

Implements
  \FileNameMapper
author
  Andreas Aderhold
author
  Hans Lellelid
package
  phing.mappers
version
  $Revision: 526 $

### Methods

`main( string $sourceFileName ) : array`
The mapper implementation. Basically does nothing in this case.
Parameters

Name | Type | Description
--- | --- | ---
$sourceFileName | string | The data the mapper works on.

Returns

Type | Description
--- | ---
array |

`setFrom( $from ) :`
Ignored here.
Parameters

Name | Type | Description
--- | --- | ---
$from |  |

`setTo( $to ) :`
Ignored here.
Parameters

Name | Type | Description
--- | --- | ---
$to |  |

Documentation was generated by DocBlox 0.13.1.